<?php
session_start();
include('include/functions.php');
include('include/counter_page.php');
include('include/file_date.php');


//Check if the language is set with the ?l=<2lettercode> GET parameter
if(isset($_GET["l"])) {
	$LANG = $_GET["l"];
	$_SESSION['LANG'] = $LANG;
}

//Initialize localization
i18n();
include('include/news.php');


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title><? msg('OSM POI Export'); ?></title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="Description" content="<? msg('OpenStreetMap POI Export'); ?>" />
        <meta name="Keywords" content="openstreetmap,poi,waypoint,export,free,tomtom,garmin,ov2,csv,gpx,wpt" />
        <meta name="robots" content="index, follow" />
        <meta http-equiv="Content-Language" content="<? echo $_SESSION['LANG']; ?>" />
        <link rel="shortcut icon" href="images_poi/favicon_poi.ico" />
        <link type="text/css" href="stylesheet_poi.css" rel="stylesheet" />
        <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js"></script>
        <script type="text/javascript" src="ui.js"></script>
    </head>
    
    <script>
    // Pass PHP array to the Javascript array  
    var array= <?php echo json_encode($array ); ?>;
    </script>

    <body>
    <div class="title"><a href="http://bluemarmot.tucristal.es"><img src="images_poi/logo.png" alt="OpenStreetMap Logo" border="0" /></a>&nbsp;<? msg('OpenStreetMap POI Export (Points of Interest)') ?> </div>
        <div class="wizardwrapper">
            <div class="wizardpanel 1">
                <ul class="mainNav fourStep">
                    <li class="current"><a title=""><em><? msg('1: Country'); ?></em><span><? msg('Select the country') ?></span></a></li>
                    <li><a title=""><em><? msg('2: POI type'); ?></em><span><? msg('Select the POI type') ?></span></a></li>
                    <li><a title=""><em><? msg('3: Device'); ?></em><span><? msg('Select the file format'); ?></span></a></li>
                    <li class="mainNavNoBg"><a title=""><em><? msg('4: Export'); ?></em><span><? msg('Download POI file'); ?></span></a></li>
                </ul>
                <div class="wizardcontent">
                    <img src="images_poi/device.png" alt="" />
                    <div class="explanation"><? msg('Select the country you would like to download the POI from:') ?></div>
                    <select name="select" multiple size="10" id="country" onDblclick="UpdateButtons(1);LoadNextPage(1,2);" onchange="UpdateButtons(1)">
                        <option value="spain"><? msg('spain'); ?></option>
                        <option value="france"><? msg('france'); ?></option>
                        <option value="portugal"><? msg('portugal'); ?></option>
                        <option value="belgium"><? msg('belgium'); ?></option>
                        <option value="switzerland"><? msg('switzerland'); ?></option>
                        <option value="germany"><? msg('germany'); ?></option>
                        <option value="italy"><? msg('italy'); ?></option>
                        <!--<option value="osm"><? msg('OpenStreetMap (osm)'); ?></option>-->
                    </select>
                     <div id="news">
                    <div class="Titlenews"><? msg('News') ?></div>
                    <div id="newscontent"><? msg($news) ?></div>
                    <div class="Leavemsg"><a href="http://bluemarmot.tucristal.es/drupal/es/node/3">&nbsp;<? msg('Click here, to leave a message') ?></a></div>
                    </div>
                </div>
                <div class="buttons">
                    <button type="submit" id="next1" class="next" disabled="disabled" onclick="LoadNextPage(1,2);"><? msg('Next'); ?>&nbsp;&gt;&gt;</button>
                </div>

                <div style="clear:both"></div>
            </div>
                       
            <div class="wizardpanel 2">
                <ul class="mainNav fourStep">             
                    <li class="lastDone"><a href="#" title="" onclick="LoadNextPage(2,1);"><em><? msg('1: Country'); ?></em><span><? msg('Select the country') ?></span></a></li>                    
                    <li class="current"><a title=""><em><? msg('2: POI type'); ?></em><span><? msg('Select the POI type') ?></span></a></li>
                    <li><a title=""><em><? msg('3: Device'); ?></em><span><? msg('Select the file format'); ?></span></a></li>
                    <li class="mainNavNoBg"><a title=""><em><? msg('4: Export'); ?></em><span><? msg('Download POI file'); ?></span></a></li>
                </ul>
                <div class="wizardcontent">
                    <img src="images_poi/pushpin.png" alt="" />
                    <div class="explanation"><? msg('Select the type of POI you would like to download:') ?></div>
                    <select name="select" multiple size="10" id="poitype" onDblclick="UpdateButtons(2);LoadNextPage(2,3);" onchange="UpdateButtons(2)">
                        <option value="amenity:fuel"><? msg('fuel'); ?></option>
                        <option value="highway:speed_camera"><? msg('speed_camera'); ?></option>
                        <option value="amenity:parking"><? msg('parking'); ?></option>
                        <option value="amenity:atm"><? msg('atm'); ?></option>
                        <option value="amenity:fast_food"><? msg('fast_food'); ?></option>
                        <option value="amenity:restaurante"><? msg('restaurante'); ?></option>
                        <option value="amenity:bar"><? msg('bar'); ?></option>
                        <option value="amenity:cafe"><? msg('cafe'); ?></option>
                        <option value="amenity:pub"><? msg('pub'); ?></option>
                        <option value="amenity:ferry_terminal"><? msg('ferry_terminal'); ?></option>
                        <option value="aeroway:aerodrome"><? msg('aerodrome'); ?></option>
                        <option value="railway:station"><? msg('station'); ?></option>
                        <option value="emergency:phone"><? msg('phone'); ?></option>
                        <option value="amenity:pharmacy"><? msg('pharmacy'); ?></option>
                        <option value="amenity:hospital"><? msg('hospital'); ?></option>
                        <option value="amenity:veterinary"><? msg('veterinary'); ?></option>
                        <option value="amenity:police"><? msg('police'); ?></option>
                        <option value="amenity:place_of_worship"><? msg('place_of_worship'); ?></option>
                        <option value="amenity:post_box"><? msg('post_box'); ?></option>
                        <option value="amenity:post_office"><? msg('post_office'); ?></option>
                        <option value="amenity:bank"><? msg('bank'); ?></option>
                        <option value="amenity:recycling"><? msg('recycling'); ?></option>
                        <option value="amenity:theatre"><? msg('theatre'); ?></option>
                        <option value="amenity:cinema"><? msg('cinema'); ?></option>
                        <option value="amenity:toilets"><? msg('toilets'); ?></option>
                        <option value="leisure:golf_course"><? msg('golf_course'); ?></option>
                        <option value="leisure:marina"><? msg('marina'); ?></option>
                        <option value="leisure:park"><? msg('park'); ?></option>
                        <option value="leisure:stadium"><? msg('stadium'); ?></option>
                        <option value="natural:beach"><? msg('beach'); ?></option>
                        <option value="shop:supermarket"><? msg('supermarket'); ?></option>
                        <option value="shop:convenience"><? msg('convenience'); ?></option>
                        <option value="shop:mall"><? msg('mall'); ?></option>
                        <option value="shop:seafood"><? msg('seafood'); ?></option>
                        <option value="shop:bakery"><? msg('bakery'); ?></option>
                        <option value="shop:butcher"><? msg('butcher'); ?></option>
                        <option value="shop:car_repair"><? msg('car_repair'); ?></option>
                        <option value="shop:car"><? msg('car_sale'); ?></option>
                        <option value="shop:kiosk"><? msg('kiosk'); ?></option>
                        <option value="tourism:camp_site"><? msg('camp_site'); ?></option>
                        <option value="tourism:caravan_site"><? msg('caravan_site'); ?></option>
                        <option value="tourism:chalet"><? msg('chalet'); ?></option>
                        <option value="tourism:guest_house"><? msg('guest_house'); ?></option>
                        <option value="tourism:hostel"><? msg('hostel'); ?></option>
                        <option value="tourism:hotel"><? msg('hotel'); ?></option>
                        <option value="tourism:motel"><? msg('motel'); ?></option>
                        <option value="tourism:museum"><? msg('museum'); ?></option>
                        <option value="tourism:picnic_site"><? msg('picnic_site'); ?></option>
                        <option value="tourism:theme_park"><? msg('theme_park'); ?></option>
                        <option value="tourism:information"><? msg('information'); ?></option>
                        <option value="tourism:zoo"><? msg('zoo'); ?></option>
                        <option value="historic:archaeological_site"><? msg('archaeological_site'); ?></option>
                        <option value="historic:castle"><? msg('castle'); ?></option>
                        <option value="historic:memorial"><? msg('memorial'); ?></option>
                        <option value="historic:monument"><? msg('monument'); ?></option>
                        <option value="historic:ruins"><? msg('ruins'); ?></option>
                        <option value="amenity:amenity"><? msg('amenity'); ?></option>
                        <option value="shop:shop"><? msg('shop'); ?></option>
                        <option value="tourism:tourism"><? msg('tourism'); ?></option>
                    </select>                
                </div>
                <div class="buttons">
                    <button type="submit" id="back2" class="previous" onclick="LoadNextPage(2,1);">&lt;&lt;&nbsp;<? msg('Previous'); ?></button>
                    <button type="submit" id="next2" class="next" disabled="disabled" onclick="LoadNextPage(2,3);"><? msg('Next'); ?>&nbsp;&gt;&gt;</button>
                </div>
                <div style="clear:both"></div>
            </div>

            <div class="wizardpanel 3">
                <ul class="mainNav fourStep">
                    <li class="done"><a href="#" title="" onclick="LoadNextPage(3,1);"><em><? msg('1: Country'); ?></em><span><? msg('Select the country') ?></span></a></li>                    
                    <li class="lastDone"><a href="#" onclick="LoadNextPage(3,2);" title=""><em><? msg('2: POI type'); ?></em><span><? msg('Select the POI type') ?></span></a></li>
                    <li class="current"><a title=""><em><? msg('3: Device'); ?></em><span><? msg('Select the file format'); ?></span></a></li>
                    <li class="mainNavNoBg"><a title=""><em><? msg('4: Export'); ?></em><span><? msg('Download POI file'); ?></span></a></li>
                </ul>
                <div class="wizardcontent">
                    <img src="images_poi/device.png" alt="" />
                    <div class="explanation"><? msg('Select the device or file type you want to download the POI in'); ?></div>
                    <select id="navitype" size="10"  onDblclick="UpdateButtons(2);LoadNextPage(3,4);" onchange="UpdateButtons(3)">
                        <option value="csv"><? msg('Nissan Connect (csv)'); ?></option>
                        <option value="csv"><? msg('Garmin (csv)'); ?></option>
			            <option value="ov2"><? msg('TomTom overlay (ov2)'); ?></option>
                        <option value="gpx"><? msg('GPS Exchange format (gpx)'); ?></option>
                        <option value="csv2"><? msg('Spreadsheet (csv)'); ?></option>
                        <option value="kml"><? msg('Google Earth (kml)'); ?></option>
                        <!--<option value="osm"><? msg('OpenStreetMap (osm)'); ?></option>-->
                    </select>
                </div>
                <div class="buttons">
                    <button type="submit" id="back3" class="previous" onclick="LoadNextPage(3,2);">&lt;&lt;&nbsp;<? msg('Previous'); ?></button>
                    <button type="submit" id="next3" class="next" disabled="disabled" onclick="LoadNextPage(3,4);"><? msg('Next'); ?>&nbsp;&gt;&gt;</button>
                </div>

                <div style="clear:both"></div>
            </div>

            <div class="wizardpanel 4">
                <ul class="mainNav fourStep">
                    <li class="done"><a href="#" title="" onclick="LoadNextPage(4,1);"><em><? msg('1: Country'); ?></em><span><? msg('Select the country') ?></span></a></li>                    
                    <li class="done"><a href="#" title="" onclick="LoadNextPage(4,2);"><em><? msg('2: POI type'); ?></em><span><? msg('Select the POI type') ?></span></a></li>
                    <li class="lastDone"><a href="#" onclick="LoadNextPage(4,3);" title=""><em><? msg('3: Device'); ?></em><span><? msg('Select the file format'); ?></span></a></li>
                    <li class="mainNavNoBg current"><a title=""><em><? msg('4: Export'); ?></em><span><? msg('Download POI file'); ?></span></a></li>
                </ul>
                <div class="wizardcontent">
                    <img src="images_poi/download.png" alt="" />
                    <div class="explanation"><? msg('You choose the following POI and format. Please clic on download button to start.') ?></div>
                    <div id="action">
                        <p><? msg('Country') ?> : - </p>
                        <p><? msg('Poi type') ?> : - </p>
                        <p><? msg('Device type') ?> : -</p>
                        <p><? msg('Updated on') ?> : - </p>
                    </div>
                </div>
                <div class="buttons">
                    <button type="submit" id="back4" class="previous" onclick="LoadNextPage(4,3);">&lt;&lt;&nbsp;<? msg('Previous'); ?></button>
                    <button type="submit" id="next4" class="next"  onclick="DownloadFile();"><? msg('Download'); ?></button>
                </div>
                <div style="clear:both"></div>
            </div>
            <div class="footer"><? msg('Poi Export'); ?> - <? echo $VERSION; ?>&nbsp;
                <? msg('data'); ?> <a href="http://creativecommons.org/licenses/by-sa/2.0/">cc-by-sa</a>&nbsp;<? msg(' - ') ?>&nbsp;
                <a href="http://www.openstreetmap.org/"><? msg('OpenStreetMap');
                ?></a>&nbsp;<? msg('community. Created by'); ?>&nbsp;<a href="http://www.openstreetmap.org/user/rullzer">rullzer</a>&nbsp;
                <? msg('and'); ?>&nbsp;<a href="http://www.openstreetmap.org/user/Rubke">rubke.</a>
                <? msg('Translated and adapted by'); ?>&nbsp;<a href="http://www.openstreetmap.org/user/Remiguel">Remiguel</a>
           </div>
        </div>
        <div class="counter"><? msg('Your are the '); ?>
        <span class="countnbr"><? echo $hits[0]; ?></span>
        <? msg(' visitor since 01/05/2011'); ?> 
        </div>
    </body>
</html>
